NodeRings Docs

Get Metric

Get a specific metric by ID or code

GET
/v1/metrics/{id}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring

Query Parameters

code?string

Alternative to id

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/metrics/{id}?code" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "metric": {
    "id": "string",
    "name": "string",
    "code": "string",
    "description": "string",
    "metricType": "METRIC_TYPE_UNSPECIFIED",
    "aggregationType": "AGGREGATION_TYPE_UNSPECIFIED",
    "unit": "string",
    "unitPlural": "string",
    "billable": true,
    "recurring": true,
    "retentionDays": 0,
    "externalId": "string",
    "metadata": {},
    "status": "STATUS_UNSPECIFIED",
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  }
}